/**************************************************************************/
/*									  */
/* Copyright (c) 2000-2005 by Alexandr V. Shutko, Khabarovsk, Russia	  */
/* All rights reserved.							  */
/*                                                                        */
/* Redistribution and use in source and binary forms, with or without	  */
/* modification, are permitted provided that the following conditions	  */
/* are met:								  */
/* 1. Redistributions of source code must retain the above copyright	  */
/*    notice, this list of conditions and the following disclaimer.	  */
/* 2. Redistributions in binary form must reproduce the above copyright	  */
/*    notice, this list of conditions and the following disclaimer in 	  */
/*    the documentation and/or other materials provided with the 	  */
/*    distribution.							  */
/*                                                                        */
/* THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND */
/* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE  */
/* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR 	  */
/* PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS  */
/* BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, 	  */
/* OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT   */
/* OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR 	  */
/* BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,  */
/* WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE   */
/* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 	  */
/* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.			  */
/*									  */
/* This file contain actions config parser public variables		  */
/*                                                                        */
/* $Id: actions_publ.cpp,v 1.11 2005/01/09 13:10:42 regress Exp $	  */
/**************************************************************************/

#include "includes.h"

unsigned long uin, uin1, uin2, snumber;
unsigned short rstatus;

struct uin_node *uins_node, *uins_lst1, *uins_lst2, *uins_var;
struct variable_record *var1, *var2;
struct _rules_root rules_root;
struct _aim_root aim_root;
struct variable_record *var_list = NULL;
struct variable_record *aim_list = NULL;
struct template_record *ptt_list = NULL;

int include_stack_ptr = 0;
int line_number       = 1;
int included          = 0;
int rsection          = 0;
int astop	      = 0;
int config_file_type;

unsigned short rsindex;
unsigned short pvalue;
unsigned short family;

FILE *yyin_temp;

char us_token[256];
char iname[255];
char filename[255];
char par1[255];
char par2[255];
char par3[255];
char pname[255];
char yyerr_str[255];
